Apache log4cxx: log4cxx Namespace Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

# log4cxx Namespace Reference

## Classes
class | Appender
| Implement this interface for your own strategies for outputting log statements. More...
class | AppenderSkeleton
| Implementation base class for all appenders. More...
class | AsyncAppender
| The AsyncAppender lets users log events asynchronously. More...
class | BasicConfigurator
| Use this class to quickly configure the package. More...
class | ConsoleAppender
| ConsoleAppender appends log events to `stdout` or `stderr` using a layout specified by the user. More...
class | DailyRollingFileAppender
| DailyRollingFileAppender extends FileAppender so that the underlying file is rolled over at a user chosen frequency. More...
class | DefaultConfigurator
| Configures the repository from environmental settings and files. More...
class | DefaultLoggerFactory
class | File
| An abstract representation of file and directory path names. More...
class | FileAppender
| FileAppender appends log events to a file. More...
class | Hierarchy
| This class is specialized in retrieving loggers by name and also maintaining the logger hierarchy. More...
class | HTMLLayout
| This layout outputs events in a HTML table. More...
class | Layout
| Extend this abstract class to create your own log layout format. More...
class | Level
| Defines the minimum set of levels recognized by the system, that is `OFF`, `FATAL`, `ERROR`, `WARN`, `INFO`, `DEBUG` and `ALL`. More...
class | Logger
| This is the central class in the log4cxx package. More...
class | LogManager
| Use the `LogManager` class to retreive Logger instances or to operate on the current LoggerRepository. More...
class | MDC
| The MDC class is similar to the NDC class except that it is based on a map instead of a stack. More...
class | NDC
| the ndc class implements nested diagnostic contexts as defined by neil harrison in the article "patterns for logging diagnostic messages" part of the book "pattern languages of program design 3" edited by martin et al. More...
class | PatternLayout
| A flexible layout configurable with pattern string. More...
class | PropertyConfigurator
| Allows the configuration of log4cxx from an external file. More...
class | RollingFileAppender
| RollingFileAppender extends FileAppender to backup the log files when they reach a certain size. More...
class | SimpleLayout
| SimpleLayout consists of the level of the log statement, followed by " - " and then the log message itself. More...
class | logstream_base
| Base class for the basic_logstream template which attempts to emulate std::basic_ostream but attempts to short-circuit unnecessary operations. More...
class | logstream
| An STL-like stream API for log4cxx using char as the character type. More...
class | wlogstream
| An STL-like stream API for log4cxx using wchar_t as the character type. More...
class | ulogstream
| An STL-like stream API for log4cxx using UniChar as the character type. More...
class | TTCCLayout
| TTCC layout format consists of time, thread, logger name and nested diagnostic context information, hence the name. More...
class | WriterAppender
| WriterAppender appends log events to a standard output stream. More...
## Namespaces
namespace | config
namespace | db
namespace | filter
namespace | helpers
namespace | net
namespace | nt
namespace | pattern
namespace | rolling
namespace | rule
namespace | spi
namespace | varia
namespace | xml
## Typedefs
typedef log4cxx::helpers::ObjectPtrT< Layout > | LayoutPtr
typedef helpers::ObjectPtrT< Appender > | AppenderPtr
typedef helpers::ObjectPtrT< Logger > | LoggerPtr
typedef helpers::ObjectPtrT< Level > | LevelPtr
typedef helpers::ObjectPtrT< Logger > | LoggerPtr
typedef std::vector< LoggerPtr > | LoggerList
typedef unsigned short | UniChar
typedef std::basic_string< logchar > | LogString
typedef helpers::ObjectPtrT< Logger > | LoggerPtr
typedef helpers::ObjectPtrT< Appender > | AppenderPtr
typedef helpers::ObjectPtrT< Logger > | LoggerPtr
typedef std::vector< LoggerPtr > | ProvisionNode
typedef logstream_base &(* | logstream_manipulator )(logstream_base &)
## Functions
| LOG4CXX_PTR_DEF (Appender)
| LOG4CXX_LIST_DEF (AppenderList, AppenderPtr)
| LOG4CXX_PTR_DEF (AsyncAppender)
| LOG4CXX_PTR_DEF (ConsoleAppender)
| LOG4CXX_PTR_DEF (DailyRollingFileAppender)
| LOG4CXX_PTR_DEF (FileAppender)
| LOG4CXX_PTR_DEF (HTMLLayout)
| LOG4CXX_PTR_DEF (Layout)
| LOG4CXX_PTR_DEF (Level)
| smart pointer to a Level instance
| LOG4CXX_PTR_DEF (Logger)
| smart pointer to a Logger class
| LOG4CXX_LIST_DEF (LoggerList, LoggerPtr)
| LOG4CXX_PTR_DEF (PatternLayout)
| LOG4CXX_PTR_DEF (RollingFileAppender)
| LOG4CXX_PTR_DEF (SimpleLayout)
| LOG4CXX_PTR_DEF (TTCCLayout)
| LOG4CXX_PTR_DEF (WriterAppender)

## Typedef Documentation

typedef helpers::ObjectPtrT<Appender> AppenderPtr

typedef helpers::ObjectPtrT<Appender> AppenderPtr

typedef log4cxx::helpers::ObjectPtrT<Layout> LayoutPtr

typedef helpers::ObjectPtrT<Level> LevelPtr

typedef std::vector<LoggerPtr> LoggerList

typedef helpers::ObjectPtrT<Logger> LoggerPtr

typedef helpers::ObjectPtrT<Logger> LoggerPtr

typedef helpers::ObjectPtrT<Logger> LoggerPtr

typedef helpers::ObjectPtrT<Logger> LoggerPtr

typedef logstream_base&(* logstream_manipulator)(logstream_base &)

typedef std::basic_string<logchar> LogString

typedef std::vector<LoggerPtr> ProvisionNode

typedef unsigned short UniChar

## Function Documentation

LOG4CXX_LIST_DEF | ( | LoggerList | ,
|  | LoggerPtr |
| ) |

log4cxx::LOG4CXX_LIST_DEF | ( | AppenderList | ,
|  | AppenderPtr |
| ) |

log4cxx::LOG4CXX_PTR_DEF | ( | WriterAppender |  | ) |

log4cxx::LOG4CXX_PTR_DEF | ( | TTCCLayout |  | ) |

log4cxx::LOG4CXX_PTR_DEF | ( | SimpleLayout |  | ) |

log4cxx::LOG4CXX_PTR_DEF | ( | RollingFileAppender |  | ) |

log4cxx::LOG4CXX_PTR_DEF | ( | PatternLayout |  | ) |

log4cxx::LOG4CXX_PTR_DEF | ( | Logger |  | ) |

| smart pointer to a Logger class

log4cxx::LOG4CXX_PTR_DEF | ( | Level |  | ) |

| smart pointer to a Level instance

log4cxx::LOG4CXX_PTR_DEF | ( | Layout |  | ) |

log4cxx::LOG4CXX_PTR_DEF | ( | HTMLLayout |  | ) |

log4cxx::LOG4CXX_PTR_DEF | ( | FileAppender |  | ) |

log4cxx::LOG4CXX_PTR_DEF | ( | DailyRollingFileAppender |  | ) |

log4cxx::LOG4CXX_PTR_DEF | ( | ConsoleAppender |  | ) |

log4cxx::LOG4CXX_PTR_DEF | ( | AsyncAppender |  | ) |

log4cxx::LOG4CXX_PTR_DEF | ( | Appender |  | ) |